Wrong compiler but LFS 5 looking good

Chris Lingard chris at stockwith.co.uk
Mon Oct 7 14:51:05 PDT 2002


Greg Schafer wrote:

> 
> Already known. There was a patch mentioned but it doesn't work. There was
> also another smaller patch mentioned which apparently does work. Check the
> archives. Personally, I've been using gcc-3.2.1cvs which works fine.
> 

Thanks Greg.  Same error on gcc-3.1, but you know.  Will try on get that.

I think this is the best solution:

After glibc installed

Rebuild bash.  I am going to try to overwrite /static/bin/bash

Using the base system, cross compile bash using $LFS headers and
libraries.  I think that this will use the base systems libncurses.a
but use the $LFS libraries from -L$LFS/lib.

Rebuild fileutils from chroot and MAKEDEV, then start chapter 6;
with the right compiler :-)

This way there is no need for any patches or seds; just an extra
build of bash.

Chris






-- 
Unsubscribe: send email to listar at linuxfromscratch.org
and put 'unsubscribe lfs-dev' in the subject header of the message



More information about the lfs-dev mailing list